VERSION 5.00
Begin VB.Form frmDataEnv 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   420
   ClientTop       =   285
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdRegularDSN 
      Caption         =   "Regular DSN"
      Height          =   495
      Left            =   120
      TabIndex        =   2
      Top             =   360
      Width           =   1095
   End
   Begin VB.CommandButton cmdFileDSNLocalADO 
      Caption         =   "File DSN Local ADO"
      Height          =   615
      Left            =   120
      TabIndex        =   1
      Top             =   2040
      Width           =   1215
   End
   Begin VB.CommandButton cmdFileDSNGlobalADO 
      Caption         =   "File DSN Global ADO"
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   1200
      Width           =   1095
   End
End
Attribute VB_Name = "frmDataEnv"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub DumpErrors()
    Dim errLoop As Error
    Dim strError As String

    Set Errs1 = DataEnvironment1.Connection1.Errors
    For Each errLoop In Errs1
        Debug.Print errLoop.SQLState
        Debug.Print errLoop.NativeError
        Debug.Print errLoop.Description
    Next

End Sub


Private Sub cmdFileDSNGlobalADO_Click()

    On Error GoTo AdoError
    DataEnvironment1.Connection1.Open ("FILEDSN=mysql.dsn")
    Debug.Print "Connected!!"
    Debug.Print DataEnvironment1.Connection1.DefaultDatabase
'    DataEnvironment1.Connection1.DefaultDatabase = "mysql"
'    Debug.Print DataEnvironment1.Connection1.DefaultDatabase
'    DataEnvironment1.Connection1.DefaultDatabase = "test"
'    Debug.Print DataEnvironment1.Connection1.DefaultDatabase

Done:
    DataEnvironment1.Connection1.Close
    Exit Sub

AdoError:
    Call DumpErrors
    GoTo Done

End Sub

Private Sub cmdFileDSNLocalADO_Click()
    Dim cn As New ADODB.Connection
    
    On Error GoTo AdoError
    cn.Open ("FILEDSN=mysql.dsn")
    Debug.Print "Connected!!"
    cn.DefaultDatabase = "test"
    Debug.Print cn.DefaultDatabase

Done:
    cn.Close
    Set cn = Nothing
    Exit Sub

AdoError:
    Dim errLoop As Error
    Dim strError As String

    Set Errs1 = cn.Errors
    For Each errLoop In Errs1
        Debug.Print errLoop.SQLState
        Debug.Print errLoop.NativeError
        Debug.Print errLoop.Description
    Next
    GoTo Done

End Sub

Private Sub cmdRegularDSN_Click()
    Dim cn As New ADODB.Connection
    
    On Error GoTo AdoError
    cn.Open ("DSN=myodbc-stable")
    Debug.Print "Connected!!"
    cn.DefaultDatabase = "test"
    Debug.Print cn.DefaultDatabase

Done:
    cn.Close
    Set cn = Nothing
    Exit Sub

AdoError:
    Dim errLoop As Error
    Dim strError As String

    Set Errs1 = cn.Errors
    For Each errLoop In Errs1
        Debug.Print errLoop.SQLState
        Debug.Print errLoop.NativeError
        Debug.Print errLoop.Description
    Next
    GoTo Done

End Sub
